- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# fbxcamera.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/scene/geometry/fbxnodeattribute.h>`
`#include <fbxsdk/core/math/fbxvector4.h>`
`#include <fbxsdk/core/base/fbxstring.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxCamera
| This node attribute contains methods for accessing the properties of a camera. More...
## Functions
EFbxType | FbxTypeOf (const FbxCamera::EAntialiasingMethod &)
EFbxType | FbxTypeOf (const FbxCamera::EApertureFormat &)
EFbxType | FbxTypeOf (const FbxCamera::EApertureMode &)
EFbxType | FbxTypeOf (const FbxCamera::EAspectRatioMode &)
EFbxType | FbxTypeOf (const FbxCamera::EFrontBackPlaneDisplayMode &)
EFbxType | FbxTypeOf (const FbxCamera::EFrontBackPlaneDistanceMode &)
EFbxType | FbxTypeOf (const FbxCamera::EPlateDrawingMode &)
EFbxType | FbxTypeOf (const FbxCamera::EFocusDistanceSource &)
EFbxType | FbxTypeOf (const FbxCamera::EFormat &)
EFbxType | FbxTypeOf (const FbxCamera::EGateFit &)
EFbxType | FbxTypeOf (const FbxCamera::EProjectionType &)
EFbxType | FbxTypeOf (const FbxCamera::ERenderOptionsUsageTime &)
EFbxType | FbxTypeOf (const FbxCamera::ESafeAreaStyle &)
EFbxType | FbxTypeOf (const FbxCamera::ESamplingType &)
EFbxType | FbxTypeOf (const FbxCamera::EFilmRollOrder &)

## Detailed Description

Definition in file fbxcamera.h.

## Function Documentation

EFbxType FbxTypeOf | ( | const FbxCamera::EAntialiasingMethod & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1917 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EApertureFormat & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1918 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EApertureMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1919 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EAspectRatioMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1920 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EFrontBackPlaneDisplayMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1921 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EFrontBackPlaneDistanceMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1922 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EPlateDrawingMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1923 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EFocusDistanceSource & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1924 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EFormat & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1925 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EGateFit & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1926 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EProjectionType & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1927 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::ERenderOptionsUsageTime & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1928 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::ESafeAreaStyle & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1929 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::ESamplingType & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1930 of file fbxcamera.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCamera::EFilmRollOrder & |  | ) | `[inline]`

Search for all occurrences

Definition at line 1931 of file fbxcamera.h.

    { return eFbxEnum; }